KDE 4.7 PyKDE API Reference

- KDE's Python API

# KXMLGUIBuilder Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

Implements the creation of the GUI (menubar, menus and toolbars) as requested by the GUI factory.

The virtual methods are mostly for historical reasons, there isn't really a need to derive from KXMLGUIBuilder anymore.

## Methods
| __init__ (self, KXMLGUIBuilder other)
| __init__ (self, QWidget widget)
KXMLGUIClient | builderClient (self)
KComponentData | builderComponentData (self)
QStringList | containerTags (self)
SIP_PYTUPLE | createContainer (self, QWidget parent, int index, QDomElement element)
QAction | createCustomElement (self, QWidget parent, int index, QDomElement element)
QStringList | customTags (self)
| finalizeGUI (self, KXMLGUIClient client)
| removeContainer (self, QWidget container, QWidget parent, QDomElement element, QAction containerAction)
| removeCustomElement (self, QWidget parent, QAction action)
| setBuilderClient (self, KXMLGUIClient client)
| setBuilderComponentData (self, KComponentData componentData)
QWidget | widget (self)

## Method Documentation

__init__ | ( | self, |
|  | KXMLGUIBuilder | other
| ) |  |  |

__init__ | ( | self, |
|  | QWidget | widget
| ) |  |  |

KXMLGUIClient builderClient | ( |  | self ) |

KComponentData builderComponentData | ( |  | self ) |

QStringList containerTags | ( |  | self ) |

SIP_PYTUPLE createContainer | ( | self, |
|  | QWidget | parent,
|  | int | index,
|  | QDomElement | element
| ) |  |  |

Creates a container (menubar/menu/toolbar/statusbar/separator/...) from an element in the XML file

Parameters:

  | parent | The parent for the container
  | index | The index where the container should be inserted into the parent container/widget
  | element | The element from the DOM tree describing the container (use it to access container specified attributes or child elements)
  | action | The action created for this container; used for e.g. passing to removeContainer.

QAction createCustomElement | ( | self, |
|  | QWidget | parent,
|  | int | index,
|  | QDomElement | element
| ) |  |  |

QStringList customTags | ( |  | self ) |

finalizeGUI | ( | self, |
|  | KXMLGUIClient | client
| ) |  |  |

removeContainer | ( | self, |
|  | QWidget | container,
|  | QWidget | parent,
|  | QDomElement | element,
|  | QAction | containerAction
| ) |  |  |

Removes the given (and previously via createContainer ) created container.

removeCustomElement | ( | self, |
|  | QWidget | parent,
|  | QAction | action
| ) |  |  |

setBuilderClient | ( | self, |
|  | KXMLGUIClient | client
| ) |  |  |

setBuilderComponentData | ( | self, |
|  | KComponentData | componentData
| ) |  |  |

QWidget widget | ( |  | self ) |